ContainerSelection
Class defined in model/ContainerSelection.js#28 inherits from

A selection spanning multiple nodes.

Example

    var containerSel = doc.createSelection({
      type: 'container',
      containerId: 'body',
      startPath: ['p1', 'content'],
      startOffset: 5,
      endPath: ['p3', 'content'],
      endOffset: 4,
    });

new ContainerSelection()
Constructor defined in model/ContainerSelection.js#30
this.getContainer()
Method defined in model/ContainerSelection.js#140
Returns

model/Container | The container node instance for this selection.

this.collapse(direction)
Method defined in model/ContainerSelection.js#222

Collapse a selection to chosen direction.

Parameters

direction | String | either left of right

Returns

PropertySelection |

this.getFragments()
Method defined in model/ContainerSelection.js#304

Helper to create selection fragments for this ContainerSelection.

Used for selection rendering, for instance.

Returns

Selection.Fragment[] | Fragments resulting from splitting this into property selections.

this.splitIntoPropertySelections()
Method defined in model/ContainerSelection.js#434

Splits a container selection into property selections.

Returns

PropertySelection[] |